#!/bin/bash
# --------------------------------------
# Настройка среды для AuthApp на Debian 12
# --------------------------------------

echo "Обновление репозиториев..."
sudo apt update

echo "Установка Go, GCC и SQLite..."
sudo apt install -y golang gcc sqlite3 libsqlite3-dev ca-certificates

echo "Создание директории для хранения БД"
mkdir -p data

echo "Установка Go модулей..."
go mod tidy

echo "Среда готова."
